# hp-daas-analytics-sample-webapp

### Build

Maven build 

```
mvn clean package
```

## Built With

* [Maven](https://maven.apache.org/) - Dependency Management

## Step 1 — Register your application

If you have not already done so, [create an application](https://developers.hp.com/user/me/my-apps).
Detailed documentation available at https://developers.hp.com/hp-daas-proactive-management/authenticating-oauth-20

## Step 2 — Configuring your application

* clientId = <The "API Key" value generated when you registered your application.>
* clientSecret = <The "Secret Key" value generated when you registered your application.>
* accessTokenUri = https://daas.api.hp.com/oauth/v1/token
* userAuthorizationUri = https://daas.api.hp.com/oauth/v1/authorize
* redirectUri =  < The URI your users will be sent back to after authorization.>

## Step 3 — Run project 

```
mvn spring-boot:run
```

## Step 4 — Open base path in browser
```
http://localhost:8087
```
 