// Copyright© 2019 HP Development Company, L.P.
// Subject to the Terms of Use on the HP Developer's Portal at https://developers.hp.com/terms
// SPDX-License-Identifier: MIT

package com.hp.daas.analytics.sample;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;

/**
 * This is Spring Boot Application class
 *
 * @author gandhrek Created on Jan 28, 2019
 */
@SpringBootApplication
public class Application extends SpringBootServletInitializer {

    /**
     * Application main method
     *
     * @param args
     */
    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }
}
